JBoss API: Interface SecurityProxy

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.security
Interface SecurityProxy

public interface SecurityProxy

An interface describing the requirements for a SecurityInterceptor proxy. A SecurityProxy allows for the externalization of custom security checks on a per-method basis for both the EJB home and remote interface methods. Custom security checks are those that cannot be described using the standard EJB deployment time declarative role based security.

Version:
  $Revision: 1.1.2.1 $
Author:
  Scott.Stark@jboss.org

Method Summary
`void` | `init(java.lang.Class beanHome, java.lang.Class beanRemote, java.lang.Object securityMgr)`
`void` | `invoke(java.lang.reflect.Method m, java.lang.Object[] args, java.lang.Object bean)` Called to allow the security proxy to perform any custom security checks required for the EJB remote interface method.
`void` | `invokeHome(java.lang.reflect.Method m, java.lang.Object[] args)` Called to allow the security proxy to perform any custom security checks required for the EJB home interface method.
`void` | `setEJBContext(javax.ejb.EJBContext ctx)` Called prior to any method invocation to set the current EJB context.

Method Detail

### init

    public void init(java.lang.Class beanHome,
                     java.lang.Class beanRemote,
                     java.lang.Object securityMgr)
              throws java.lang.InstantiationException

### setEJBContext

    public void setEJBContext(javax.ejb.EJBContext ctx)

  Called prior to any method invocation to set the current EJB context.

### invokeHome

    public void invokeHome(java.lang.reflect.Method m,
                           java.lang.Object[] args)
                    throws java.lang.SecurityException

  Called to allow the security proxy to perform any custom security checks required for the EJB home interface method.
  Parameters:
    `m,` - the EJB home interface method? Or is this the EJB bean impl method?

### invoke

    public void invoke(java.lang.reflect.Method m,
                       java.lang.Object[] args,
                       java.lang.Object bean)
                throws java.lang.SecurityException

  Called to allow the security proxy to perform any custom security checks required for the EJB remote interface method.
  Parameters:
    `m,` - the EJB remote interface method? Or is this the EJB bean impl method?
    `bean,` - the EJB implementation class instance

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.